Skip to content

Create Application Webhook Subscription

Request

Create a webhook subscription at the application level.

clientKey can be received upon obtaining client credentials from our tech support.

Security
ClientCredentialsToken
Path
clientKeystringrequired

Your application's client key.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jsonrequired
namestringrequired

A custom name for your webhook to ease with identification.

Example:"Webhook Subscription #1"
trigger_onstringrequired
Example:"transfers#state-change"
deliveryobjectrequired
curl -i -X POST \
  'https://api.wise.com/2026Q3/applications/{clientKey}/subscriptions' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '{
    "name": "Webhook Subscription #1",
    "trigger_on": "transfers#state-change",
    "delivery": {
      "version": "4.0.0",
      "url": "https://your.webhook.url/12345"
    }
  }'

Responses

OK

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
idstring, (uuid)

UUID that uniquely identifies the subscription.

Example:"72195556-e5cb-495e-a010-b37a4f2a3043"
namestring

A custom name for your webhook to ease with identification.

Example:"Webhook Subscription #1"
trigger_onstring

The event type this subscription is listening for. List of available events.

Example:"transfers#state-change"
deliveryobject
scopeobject
created_byobject
created_atstring, (date-time)

Timestamp of when the subscription was created.

Example:"2019-10-10T13:55:57Z"
Response
{ "id": "72195556-e5cb-495e-a010-b37a4f2a3043", "name": "Webhook Subscription #1", "trigger_on": "transfers#state-change", "delivery": { "version": "4.0.0", "url": "https://your.webhook.url/12345" }, "scope": { "domain": "application", "id": "<your client key>" }, "created_by": { "type": "application", "id": "<your client ID>" }, "created_at": "2019-10-10T13:55:57Z" }